﻿namespace TestProject;

/// <summary>
/// 엔트리 텍스트 변경시 검증 액션
/// </summary>
public class ValidateEntryTextChangedAction : TriggerAction<Entry>
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Protected

    #region 호출하기 - Invoke(entry)

    /// <summary>
    /// 호출하기
    /// </summary>
    /// <param name="entry">엔트리</param>
    protected override void Invoke(Entry entry)
    {
        bool isValid = Double.TryParse(entry.Text, out double result);

        entry.TextColor = isValid ? Colors.Black : Colors.Red;
    }

    #endregion
}